Bug 1458584 - Dnfdaemon client error occurred. Dnfdragora
Summary: Dnfdaemon client error occurred. Dnfdragora
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-04 15:09 UTC by owenkimbrell
Modified: 2018-01-01 22:10 UTC (History)
5 users (show)

Fixed In Version: dnfdragora-1.0.1-8.git20171229.24e4647.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-31 21:26:54 UTC


Attachments (Terms of Use)

Description owenkimbrell 2017-06-04 15:09:59 UTC
Description of problem:

On trying to change / re-add repositories. Updates have seemed nonexistant last two days but the dnfdragora is completely crashing non-the less Says errors in "repomd.xml" from

'/usr/lib/python3.6/site-packages/dnf/repo.py' - Line 229, in _perform 
    `(return super(_Handle,self).perform(result)`

Also, it says a problem lies in

'/usr/lib64/python3.6/site-packages/dnf/repo.py' - Line 1517 in perform
     `_librepo.Handle.perform(self,result)`
as well. 

Additionally it provides 

"librepo.librepoExeception: (15, Cannot prepare internal miirorlist file 'repomd.xml' was not found in metalink", Bad mirrorlist or metalink files.

Version-Release number of selected component (if applicable):

1.0.1-5.git20170505.2a3b056.fc27

How reproducible:

Every time i try to do it.


Steps to Reproduce:
1.Click on file followed by a click repositories
2.Add a repository
3.Update & Crash :)

Actual results:

Crash

Expected results:

Crash

Additional info:

Comment 1 Jan Kurik 2017-08-15 06:56:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 2 lahiaouni.abd 2017-12-11 18:16:50 UTC
I don't know if this is a solution but using one of older kernels to upgrade fixed the problem

Comment 3 Fedora Update System 2017-12-29 23:20:43 UTC
dnfdaemon-0.3.18-5.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 4 Fedora Update System 2017-12-29 23:26:28 UTC
dnfdaemon-0.3.18-5.fc26 dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 5 Fedora Update System 2017-12-30 19:53:22 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 6 Fedora Update System 2017-12-30 20:39:09 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 7 Fedora Update System 2017-12-31 21:26:54 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-01-01 22:10:35 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.